# $Id: gpkg.spec.in,v 1.8 2002/07/02 10:59:04 chipx86 Exp $

%define name    gpkg
%define ver     0.1.3
%define RELEASE 1
%define rel     %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix  /usr
%{expand:%%define share %(if [ -d %{prefix}/share/man ]; then echo /share ; else echo %%{nil} ; fi)}
%ifos linux
%define CONFIG_FLAGS --prefix=%prefix --infodir='%{prefix}%{share}/info' --mandir='%{prefix}%{share}/man'
%else
%define CONFIG_FLAGS --prefix=%prefix
%endif

Summary:     GNUpdate package tool.
Name:        %name
Version:     %ver
Release:     %rel
License:     GPL
Group:       Applications/System
Source:      http://prdownloads.sourceforge.net/gnupdate/%{name}-%{ver}.tar.gz
URL:         http://www.gnupdate.org/
Prefix:      %prefix
BuildRoot:   %{_tmppath}/%{name}-%{ver}-root
Packager:    Christian Hammond <chipx86@gnupdate.org>

%description
The gpkg tool is the command-line GNUpdate package management tool. It
provides functionality similar to the rpm, dpkg, and apt-get tools. Since
it works with libpackman, it has the ability to install, uninstall, and
query multiple types of package formats and package databases.

%prep
%setup

%build
if [ ! -z "`echo -n ${RPM_OPT_FLAGS} | grep pentium`"]; then
	if [ ! -z `which egcs` ]; then
		CCC="egcs"
	else
		if [ ! -z `which pgcc` ]; then
			CC="pgcs"
		fi
	fi
	CFLAGS="${RPM_OPT_FLAGS}"
else
	CFLAGS="${RPM_OPT_FLAGS}"
fi

#if [ ! -f configure ]; then
	CFLAGS="$RPM_OPT_FLAGS" ./autogen.sh %{CONFIG_FLAGS}
#else
#	CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
#fi

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-, root, root)

%{prefix}/bin/*
%{prefix}%{share}/man/man8/*

%doc AUTHORS COPYING ChangeLog NEWS README
%doc docs/gpkg.ps

##########################################################################

%changelog
* Tue Jul 02 2002 Christian Hammond <chipx86@gnupdate.org>
- Bumped the version up to 0.1.3-1.

* Sun Apr 21 2002 Christian Hammond <chipx86@gnupdate.org>
- Bumped the version up to 0.1.2-1.

* Sat Mar 09 2002 Christian Hammond <chipx86@gnupdate.org>
- Added the man pages to the package.

* Sat Mar 02 2002 Christian Hammond <chipx86@gnupdate.org>
- Bumped the version up to 0.1.1.
- Fixed up some stuff in the spec file.

* Wed Dec 19 2001 Christian Hammond <chipx86@gnupdate.org>
- Updated my e-mail address.

* Thu Aug 23 2001 Christian Hammond <chipx86@portaldesign.net>
- Created the first version of gpkg.spec.

